org.codehaus.plexus.embed

## Interface PlexusEmbedder

All Known Implementing Classes:
  Embedder

    public interface PlexusEmbedder

Author:
  jdcasey

### Method Summary

Methods
`void` `addContextValue(Object key, Object value)`
`PlexusContainer` `getContainer()`
`boolean` `hasComponent(String role)`
`boolean` `hasComponent(String role, String id)`
`Object` `lookup(String role)`
`Object` `lookup(String role, String id)`
`void` `release(Object service)`
`void` `setClassWorld(ClassWorld classWorld)`
`void` `setConfiguration(Reader configuration)`
`void` `setConfiguration(URL configuration)`
`void` `setLoggerManager(LoggerManager loggerManager)`
`void` `setProperties(File file)`
`void` `setProperties(Properties properties)`
`void` `start()`
`void` `start(ClassWorld classWorld)`
`void` `stop()`

### Method Detail

#### getContainer

    PlexusContainer getContainer()

#### lookup

    Object lookup(String role)
                  throws ComponentLookupException

Throws:
  `ComponentLookupException`

#### lookup

    Object lookup(String role,
                String id)
                  throws ComponentLookupException

Throws:
  `ComponentLookupException`

#### hasComponent

    boolean hasComponent(String role)

#### hasComponent

    boolean hasComponent(String role,
                       String id)

#### release

    void release(Object service)
                 throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### setClassWorld

    void setClassWorld(ClassWorld classWorld)

#### setConfiguration

    void setConfiguration(URL configuration)
                          throws IOException

Throws:
  `IOException`

#### setConfiguration

    void setConfiguration(Reader configuration)
                          throws IOException

Throws:
  `IOException`

#### addContextValue

    void addContextValue(Object key,
                       Object value)

#### setProperties

    void setProperties(Properties properties)

#### setProperties

    void setProperties(File file)

#### start

    void start(ClassWorld classWorld)
               throws PlexusContainerException,
                      PlexusConfigurationResourceException

Throws:
  `PlexusContainerException`
  `PlexusConfigurationResourceException`

#### start

    void start()
               throws PlexusContainerException,
                      PlexusConfigurationResourceException

Throws:
  `PlexusContainerException`
  `PlexusConfigurationResourceException`

#### stop

    void stop()

#### setLoggerManager

    void setLoggerManager(LoggerManager loggerManager)